"""
The Movement class
"""
from constants import * # for game design variables

class Movement:

    """
    Initializer for a movement.
    Parameters:
    left - int of left hand direction (ex. 0 for blank)
    right - int of right hand direction (ex. 2 for right)
    """
    def __init__(self, left = -1, right = -1):
        # Each direction one of -1 (NONE), 0 (UP), 1(LEFT), 2 (RIGHT), or 3 (DOWN))
        self.left = left
        self.right = right

    """
    Returns value of left.
    """
    def getLeft(self):
        return self.left

    """
    Returns value of right.
    """
    def getRight(self):
        return self.right

    """
    Returns appropriate color of arrow based on if arrowNum matches the intended
    left direction.
    """
    def leftColor(self, arrowNum):
        if arrowNum == self.left:
            return main_color
        return left_color

    """
    Returns appropriate color of arrow based on if arrowNum matches the intended
    right direction.
    """
    def rightColor(self, arrowNum):
        if arrowNum == self.right:
            return main_color
        return right_color
