from movement import Movement
from song import Song

# Moves are one of -1 (NONE), 0 (UP), 1(LEFT), 2 (RIGHT), or 3 (DOWN))
U = 0
L = 1
R = 2
D = 3

# Different moves used throughout songs and sequences
moveA = [(D,U), (U,D), (D,U), (U,D)]
moveA2 = [(U,D), (D,U), (U,D), (D,U)]
moveB = [(R,R), (L,L), (R,R), (L,L)]
moveB2 = [(R,R), (L,L), (R,R), (U,U)]
moveC = [(U,U),(D,D),(U,U),(D,D)]
moveC2 = [(D,D),(U,U),(D,D),(U,U)]
moveD = [(U,R),(L,U),(U,R),(L,U)]
moveE = [(L,R),(R,L),(L,R),(R,L)]
moveF = [(U,R),(L,U),(D,D),(U,U)]
moveG = [(R,R),(D,D),(L,L),(U,U)]
moveG2 = [(R,R),(D,D),(L,L),(R,R)]
moveG3 = [(L,L),(R,R),(L,L),(D,D)]
moveG4 = [(R,R),(U,U),(L,L),(D,D)]
move1 = [(U,U)]

# Different sequences
halfChorus = moveE + moveA + moveB + moveB
chorus1 = move1 + halfChorus + halfChorus
chorus2 = halfChorus + halfChorus
verse1 = moveC + moveD + moveC2 + moveD + moveC + moveD + moveC2 + moveB2
verse2 = moveA2 + moveD + moveA2 + moveD + moveA2 + moveF
outro = moveG + moveG + moveG2 + moveG3 + moveG4 + moveG4 + moveB + moveB + move1

songsList = []

song1 = Song("Senorita", "senorita.mp3", 60, 8.0)
# Placeholder song to show the next/prev buttons on home screen work.
song2 = Song("Placeholder song", "senorita.mp3", 120)

# Add moves to first song
song1.pad(17)
song1.addMoves(halfChorus) # TODO: Add spacing to put things in correct position
song1.addMoves(verse1)
song1.addMoves(chorus1)
song1.addMoves(verse2)
song1.addMoves(chorus2)
song1.addMoves(outro)
song1.pad(10)

# Add choreographed songs to the songsList
songsList.append(song1)
songsList.append(song2)
